Feature: Classify modal

  Scenario: No action
    Given I am a logged in admin
    And There is some directories
    When I visit the url /spirit_hub/to_classify
    And I click on the classify button
    And I select the directory "Tagset Title 10"
    And I submit the form
    And I go to the search page
    Then The doc status is "Classé"

  Scenario: Chained Share action
    Given I am a logged in admin
    And There is some directories
    When I visit the url /spirit_hub/to_classify
    And I click on the classify button
    And I select the directory "Tagset Title 10"
    And I select the action "Partager"
    And I submit the form
    Then I see the share modal
    When I share the doc
    And I go to the search page
    Then The doc status is "Partagé"

  Scenario: Chained Done action
    Given I am a logged in admin
    And There is some directories
    When I visit the url /spirit_hub/to_classify
    And I click on the classify button
    And I select the directory "Tagset Title 10"
    And I select the action "Fin de traitement"
    And I submit the form
    And I go to the search page
    Then The doc status is "Traité"

  Scenario: Show existing parent tagset
    Given I am a logged in admin
    And There is some directories
    When I visit the url /spirit_hub/to_classify
    And I click on the classify button
    And I select the directory "Tagset Title 10"
    And I select the action "Fin de traitement"
    And I submit the form
    And I go to the search page
    And I reclassify the doc
    Then I see the existing parent tagset